メインコンテンツまでスキップ

プライベートエンドポイントの削除 (V2)

Deletes a private endpoint from a project.

DELETE/v2/projects/{projectId}/privateEndpoints/{endpointId}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API キーである必要があります。

値の例: Bearer {{TOKEN}}
projectIdstringpath必要

プロジェクトの ID。

値の例: proj-xxxxxxxxxxxxxxxxxxx
endpointIdstringpath必要

プライベートエンドポイントの ID。

regionIdstringquery必要

プライベートエンドポイントを含むクラウドリージョンの ID。

gcpProjectIdstringquery

Google Cloud プロジェクト ID。このパラメーターは Google Cloud リージョンに適用されます。

bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"
export endpointId="undefined"

curl --request DELETE \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpoints/${endpointId}?regionId=undefined" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功結果またはエラーメッセージを返します。

成功時の応答。

codeinteger必要

応答コード。

値の例: 0
dataobject必要

削除されたプライベートエンドポイントの識別子。

endpointIdstring

削除されたプライベートエンドポイントの ID。

失敗時の応答。

codeinteger必要

応答コード。

messagestring必要

エラーメッセージ。

Ctrl I